/* Add the font import for Fira Code from Google Fonts */
@import url("https://fonts.googleapis.com/css2?family=Fira+Code&display=swap");

html, body {
    margin: 0;
    padding: 0;
    width: 100vw; /* Fix the width to the screen size */
    height: 100vh; /* Fix the height to the viewport size */
}

body {
    font-family: 'Fira Code', monospace;
    line-height: 1.6;
    counter-reset: linenumber; /* Initialize the line number counter */
    position: relative; /* Required for the page numbering */
    color: #fff;
    background-color: #333; /* Background color for the entire website */
    overflow-x: hidden; /* Hide horizontal scrollbar on small screens */
}

.profile-bio-content {
    text-align: justify;
}

.contact {
    text-align: right;
    padding-right: 20px;
}

.container {
    display: flex;
    position: relative;
    flex-direction: column;
    height: 100vh;
    padding: 0 20vw;
    margin: 0;
}
@media (max-width: 800px) {
    .container {
        padding: 0 10vw;
    }
}

.row {
    display: flex;
    margin-top: 40px;
}
@media (max-width: 900px) {
    .row {
        flex: 100%;
        flex-wrap: wrap;
    }
}

.column {
    flex: 1;
}
@media (max-width: 800px) {
    .column {
        flex: 100%;
        padding: 20px;
    }
}

.column-70 {
    flex: 70%;
    padding: 20px;
}

.column-30 {
    flex: 30%;
    padding: 20px;
}

@media (max-width: 800px) {
    .column-30, .column-70 {
        flex: 100%;
    }
}

.portrait-container {
    text-align: center;
}

.portrait {
    width: 300px;
    padding: 10px;
    opacity: 1;
    border: 2px solid #555;
}

.social-link {
    display: inline-block;
    color: #e1e1e1;
}

.anchor-link {
    text-decoration: none;
}

h2 {
    border-bottom: 2px solid #555;
    padding-bottom: 0.5rem;
}

.icons {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    background-color: #2a2a2a;
    border-radius: 4px;
    box-shadow: 0 0 8px rgba(0, 0, 0, 0.2);
}
@media (max-width: 200px) {
    .icons {
        flex-direction: column;
    }
}
.icon-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 20px;
    padding: 20px;
    width: 40px;
    color: #e1e1e1;
    white-space: pre-wrap;
}
.icon-row {
    display: flex;
}
.icon {
    width: 60px;
    height: 60px;
    animation: 3s infinite alternate floating;
    transition: margin 0.2s ease-in-out;
}
.icon:hover{
    margin-top: -5px;
    animation: none;
}
.label {
    font-size: 0.9rem;
    margin-top: 10px;
    text-align: center;
}
.shadow{
    height: 2px;
    display: block;
    margin:2px auto;
    animation: 3s infinite alternate shadow;
}

@keyframes floating {
    0% {
        transform: translatey(0px);
    }
    50% {
        transform: translatey(-10px);
    }
    100% {
        transform: translatey(0px);
    }
}

@keyframes shadow {
    0% {
        width:30px;
        box-shadow:0 5px 10px rgba(0,0,0,.9);
    }
    50% {
        width:10px;
        box-shadow:0 5px 10px rgba(0,0,0,.5);
    }
    100% {
        width:30px;
        box-shadow:0 5px 10px rgba(0,0,0,.9);
    }
}

/* New styles for the IDE-like line numbers */
.line-numbers {
    position: absolute;
    left: 0;
    top: 0; /* Start the line numbers from the very top */
    width: 3rem;
    background-color: #333;
    color: rgba(255, 255, 255, 0.44);
    padding: 0.5rem 1rem;
    text-align: right;
    font-size: 0.9rem;
    height: 100vh; /* Set the height to cover the full height of the viewport */
    box-sizing: border-box; /* Include padding in the width and height calculation */
    display: flex;
}

.line-numbers::after {
    content: "";
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 20vh; /* Adjust the fading height as per your preference */
    background: linear-gradient(transparent, #333); /* Use the same background color as the element */
    pointer-events: none;
}

/* Add the blinking cursor animation */
.cursor {
    display: inline-block;
    width: 8px; /* Adjust the cursor width here */
    height: 18px;
    background-color: #fff;
}

/* Add cursor placeholder */
.cursor-placeholder {
    display: inline-block;
    width: 8px; /* Adjust the cursor width here */
    height: 18px;
    visibility: hidden;
}

/* Fix blinking cursor while typing animation */
@keyframes blink {
    0%, 100% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
}

#footer {
    position: relative;
    display: inline-block;
    bottom: 0;
    width: 100%;
    margin-top: 60px;
}
@media (max-width: 200px) {
    #footer {
        padding: 20px;
    }
}

.footer-text {
    font-size: 0.8rem;
}
